Download it now!
Bug 120792 - KDE5: Caret doesn't come back to document after using undocked find toolbar
Summary: KDE5: Caret doesn't come back to document after using undocked find toolbar
Status: VERIFIED DUPLICATE of bug 120787
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha1+
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2018-10-22 13:56 UTC by Xisco Faulí
Modified: 2019-02-19 12:40 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-10-22 13:56:49 UTC
Steps to reproduce:
1. Open Writer
2. Ctrl + F
3. Undock the find toolbar
4. Click on the find text box write some text
5. Click back on the document
6. Type something. 

-> Text is inserted in the find text box instead of in the document

reproduce it in

Version: 6.2.0.0.alpha0+
Build ID: 3846561f79cf9065abd9ca83c9fbfbe7e52e28e2
CPU threads: 1; OS: Linux 4.13; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time:
2018-10-21_02:45:54
Locale: en-US (en_US.UTF-8); Calc: threaded

but not in

Version: 6.2.0.0.alpha0+
Build ID: 3846561f79cf9065abd9ca83c9fbfbe7e52e28e2
CPU threads: 1; OS: Linux 4.13; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time:
2018-10-21_02:45:54
Locale: en-US (en_US.UTF-8); Calc: threaded
Comment 1 Michael Weghorn 2018-10-22 17:57:51 UTC
Reproduced with

Version: 6.2.0.0.alpha1+
Build ID: cd9aa5bc508244082b4baf4a3094875bf2c6f992
CPU threads: 4; OS: Linux 4.18; UI render: default; VCL: kde5; 
Locale: en-GB (en_GB.UTF-8); Calc: threaded
Comment 2 Katarina Behrens (Inactive) 2019-02-13 09:50:21 UTC
As it happens, fixing bug 120787 makes this one go away as well

*** This bug has been marked as a duplicate of bug 120787 ***
Comment 3 Michael Weghorn 2019-02-13 16:52:53 UTC
Unfortunately, I cannot verify. It's still reproducible for me with

Version: 6.3.0.0.alpha0+
Build ID: 49c21e31ce0501044a7d3602379f74c71dabb00b
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: kde5; 
Locale: en-GB (en_GB.UTF-8); UI-Language: en-US
Calc: threaded

(+ a local revert of a2b687a88feedfae0087bfc999b3cf49b9d3d24b to avoid bug 123439) on Debian testing
Comment 4 Michael Weghorn 2019-02-13 17:15:24 UTC
Please ignore my last comment. Since the fix for bug 120787 has not been pushed yet, it's *expected* that the issue is still reproducible...

*** This bug has been marked as a duplicate of bug 120787 ***
Comment 5 Michael Weghorn 2019-02-19 12:40:47 UTC
Verified with

Version: 6.3.0.0.alpha0+
Build ID: 993b8a6667fb0ca58ec1145cc1f9529c34f3266c
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: kde5; 
Locale: en-GB (en_GB.UTF-8); UI-Language: en-US
Calc: threaded